Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 160161 - net-im/gaim-snpp-0.8.0 fails
Summary: net-im/gaim-snpp-0.8.0 fails
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 187736
  Show dependency tree
 
Reported: 2007-01-05 00:01 UTC by Botykai Zsolt
Modified: 2007-12-08 16:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
my emerge --info (emergeinfo.txt,8.44 KB, text/plain)
2007-01-05 00:03 UTC, Botykai Zsolt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Botykai Zsolt 2007-01-05 00:01:31 UTC
Today's emerge -uDvaN world wanted to rebuild gaim-snpp for some reason, but re-emerging failed (even after a revdep-rebuild):
botykaizs ~ # emerge -uvaND world

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild   R   ] net-im/gaim-snpp-0.8.0  USE="(-debug%)" 0 kB
[ebuild   R   ] xfce-extra/xfce4-xfapplet-0.1.0-r1  USE="(-debug%)" 0 kB [2]

Total: 2 packages (2 reinstalls), Size of downloads: 0 kB
Portage overlays:
 [1] /usr/portage/local/layman/xeffects
 [2] /usr/local/portage

Would you like to merge these packages? [Yes/No]
>>> starting parallel fetching

>>> Emerging (1 of 2) net-im/gaim-snpp-0.8.0 to /
 * The package gaim-snpp-0.8.0 still uses the broken debug.eclass
 * gaim-snpp-0.8.0.tar.gz MD5 ;-) ...                                     [ ok ]
 * gaim-snpp-0.8.0.tar.gz size ;-) ...                                    [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking gaim-snpp-0.8.0.tar.gz ;-) ...                                [ ok ]
 * The package gaim-snpp-0.8.0 still uses the broken debug.eclass
 * The package gaim-snpp-0.8.0 still uses the broken debug.eclass
>>> Unpacking source...
>>> Unpacking gaim-snpp-0.8.0.tar.gz to /var/tmp/portage/net-im/gaim-snpp-0.8.0/work
>>> Source unpacked.
 * The package gaim-snpp-0.8.0 still uses the broken debug.eclass
>>> Compiling source in /var/tmp/portage/net-im/gaim-snpp-0.8.0/work/gaim-snpp-0.8.0 ...
 * econf: updating gaim-snpp-0.8.0/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating gaim-snpp-0.8.0/config.sub with /usr/share/gnuconfig/config.sub
<configure sniiped />
Configuration complete

Debugging enabled..............: no

Type make to compile

cd . \
          && CONFIG_FILES= CONFIG_HEADERS=pre_config.h \
             /bin/sh ./config.status
config.status: creating pre_config.h
config.status: pre_config.h is unchanged
config.status: executing default-1 commands
/bin/sed 's/#define PACKAGE/#define SNPP_PACKAGE/g' pre_config.h > snpp_config.h
make  all-recursive
make[1]: Entering directory `/var/tmp/portage/net-im/gaim-snpp-0.8.0/work/gaim-snpp-0.8.0'
Making all in src
make[2]: Entering directory `/var/tmp/portage/net-im/gaim-snpp-0.8.0/work/gaim-snpp-0.8.0/src'
source='snpp.c' object='snpp.lo' libtool=yes \
        depfile='.deps/snpp.Plo' tmpdepfile='.deps/snpp.TPlo' \
        depmode=gcc3 /bin/sh ../depcomp \
        /bin/sh ../libtool --silent --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..  -DLIBDIR=\"/usr/lib/gaim/\" -DDATADIR=\"/usr/share\" -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gaim -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -march=prescott -O2 -pipe -Wall -g3 -c -o snpp.lo `test -f snpp.c || echo './'`snpp.c
snpp.c:30:22: error: internal.h: No such file or directory
snpp.c: In function 'snpp_send':
snpp.c:96: warning: implicit declaration of function 'write'
snpp.c:96: warning: implicit declaration of function 'strlen'
snpp.c:96: warning: incompatible implicit declaration of built-in function 'strlen'
snpp.c: In function 'snpp_reset':
snpp.c:107: warning: implicit declaration of function 'close'
snpp.c: In function 'snpp_callback':
snpp.c:193: warning: implicit declaration of function 'read'
snpp.c:252: error: incompatible type for argument 1 of 'gaim_find_conversation_with_account'
snpp.c:252: warning: passing argument 2 of 'gaim_find_conversation_with_account' from incompatible pointer type
snpp.c:252: error: too few arguments to function 'gaim_find_conversation_with_account'
snpp.c: In function 'snpp_connect':
snpp.c:316: warning: passing argument 2 of 'gaim_proxy_connect' from incompatible pointer type
snpp.c:316: warning: passing argument 3 of 'gaim_proxy_connect' makes pointer from integer without a cast
snpp.c:316: warning: passing argument 4 of 'gaim_proxy_connect' makes integer from pointer without a cast
snpp.c:316: warning: passing argument 5 of 'gaim_proxy_connect' from incompatible pointer type
snpp.c:316: error: too few arguments to function 'gaim_proxy_connect'
snpp.c:319: warning: implicit declaration of function '_'
snpp.c:319: warning: passing argument 2 of 'gaim_connection_error' makes pointer from integer without a cast
snpp.c: In function 'snpp_process':
snpp.c:329: warning: incompatible implicit declaration of built-in function 'strlen'
snpp.c: At top level:
snpp.c:346: error: expected declaration specifiers or '...' before 'GaimConvImFlags'
snpp.c: In function 'snpp_login':
snpp.c:383: warning: implicit declaration of function 'serv_finish_login'
snpp.c: In function 'snpp_add_buddy':
snpp.c:404: warning: implicit declaration of function 'serv_got_update'
snpp.c: At top level:
snpp.c:428: warning: initialization from incompatible pointer type
snpp.c:487: warning: implicit declaration of function 'N_'
snpp.c:487: error: initializer element is not constant
snpp.c:487: error: (near initialization for 'info.summary')
snpp.c:488: error: initializer element is not constant
snpp.c:488: error: (near initialization for 'info.description')
snpp.c:489: error: initializer element is not constant
snpp.c:489: error: (near initialization for 'info.author')
snpp.c: In function '_init_plugin':
snpp.c:504: warning: passing argument 1 of 'gaim_account_option_string_new' makes pointer from integer without a cast
snpp.c:507: warning: passing argument 1 of 'gaim_account_option_int_new' makes pointer from integer without a cast
make[2]: *** [snpp.lo] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-im/gaim-snpp-0.8.0/work/gaim-snpp-0.8.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-im/gaim-snpp-0.8.0/work/gaim-snpp-0.8.0'
make: *** [all] Error 2
Comment 1 Botykai Zsolt 2007-01-05 00:03:23 UTC
Created attachment 105453 [details]
my emerge --info
Comment 2 Guillaume Villeneuve 2007-01-08 21:55:21 UTC
I have the same problem here. Here is my emerge --info:

Nunux ~ # emerge --info
Portage 2.1.2_rc4-r7 (default-linux/x86/2006.0, gcc-4.1.1, glibc-2.5-r0, 2.6.18-gentoo-r3-baby_tux i686)
=================================================================
System uname: 2.6.18-gentoo-r3-baby_tux i686 AMD Athlon(tm) XP 3200+
Gentoo Base System version 1.12.8
Last Sync: Mon, 08 Jan 2007 06:50:01 +0000
ccache version 2.4 [disabled]
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.3.6, 2.4.4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.19
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-mtune=athlon-xp -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/fax /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-mtune=athlon-xp -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks fixpackages metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo"
LINGUAS="fr en de es tr"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.ca.gentoo.org/gentoo-portage"
USE="16bit 3dnow 3dnowext 3ds 7zip X a52 aac abook accessibility acpi activefilter ada adsl aim aimextras alsa amd apache2 apm arts berkdb bitmap-fonts bonjour cdda cddb cdinstall cdparanoia cdr cdrom cg cgi chroot cjk cli courier cracklib crypt css ctype cups dba divx4linux dlloader doc dri dts dv dvd dvdr dvdread eds emacs emacs-w3 emboss encode esd fat fbdev fbsplash ffmpeg firefox flac foomaticdb fortran ftp fuse gaim gd gdbm gif gimp gmail gmailtimestamps gnome gphoto2 gpm gs gstreamer gtk gtk2 gtkhtml hal html iconv id3 ieee1394 imap imlib ipv6 irc irssi isdnlog jabber joystick jpeg kde ldap libg++ libwww lirc live logrotate lzo lzw mad mail maildir maildrop mailwrapper math md5sum mikmod mime mjpeg mmx motif mozcalendar mp3 mp4 mp4live mpe mpeg mpeg2 mplayer msn musepack music musicbrainz mysql mysqli mythtv ncurses net network nfs nls nptl nptlonly nsplugin ntfs nvidia objc odbc ogg opengl openssl oscar oss pam pcre pdf pdfkit pdo-external pear perl php player plugin pmu png pop postfix ppds pppd print python qmail qt3 qt4 quicktime quotas rar readline real realms reflection reiser4 reiserfs remix remote rhythmbox rss rtc samba sasl sblive scanner screen sdk sdl sendfile sendmail serial server session sftp silc simplexml smtp soap sockets socks5 sounds sox speech speedo speex spell spl sql sse ssl tcpd tga threadsafe truetype truetype-fonts type1-fonts udev unicode userlocales utf8 v4l v4l2 vcd vda vhosts vim vim-pager vim-with-x vnc vorbis win32codecs wma wma123 wmf x11vnc x264 x86 xchat xchatdccserver xemacs xfs xinerama xmail xml xorg xscreensaver xsl xv xvid yahoo zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="mouse keyboard joystick evdev" KERNEL="linux" LINGUAS="fr en de es tr" LIRC_DEVICES="leadtek_0010" USERLAND="GNU" VIDEO_CARDS="nvidia vesa fbdev"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 3 Olivier Crete (RETIRED) gentoo-dev 2007-05-01 03:28:18 UTC
which version of net-im/gaim do you have installed ?
Comment 4 Olivier Crete (RETIRED) gentoo-dev 2007-12-08 16:49:56 UTC
no reply, this package has been package.masked